# Asterisk Project : Asterisk 12 Application_Transfer

Added by wikibot , edited by wikibot on Aug 29, 2013

# Transfer()

### Synopsis

Transfer caller to remote extension.

### Description

Requests the remote caller be transferred to a given destination. If TECH (SIP, IAX2, LOCAL etc) is used, only an incoming call with the same channel technology will be transfered. Note that for SIP, if you transfer before call is setup, a 302 redirect SIP message will be returned to the caller.

The result of the application will be reported in the `TRANSFERSTATUS` channel variable:

- `TRANSFERSTATUS`
  - SUCCESS - Transfer succeeded.
  - FAILURE - Transfer failed.
  - UNSUPPORTED - Transfer unsupported by channel driver.

### Syntax

    Transfer(Tech/destination)

##### Arguments

- `dest`
  - `Tech/`
  - `destination`

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown